org.apache.ignite.spi

## Class IgniteSpiException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.spi.IgniteSpiException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    IgniteSpiMultiException, IgniteSpiVersionCheckException

      public class IgniteSpiException
      extends IgniteException

  Exception thrown by SPI implementations.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteSpiException(String msg)` Creates new SPI exception with given error message.
    `IgniteSpiException(String msg, Throwable cause)` Creates new SPI exception with given error message and optional nested exception.
    `IgniteSpiException(Throwable cause)` Creates new SPI exception given throwable as a cause and source of error message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteSpiException

          public IgniteSpiException(String msg)

      Creates new SPI exception with given error message.
      Parameters:
        `msg` - Error message.

    - #### IgniteSpiException

          public IgniteSpiException(Throwable cause)

      Creates new SPI exception given throwable as a cause and source of error message.
      Parameters:
        `cause` - Non-null throwable cause.

    - #### IgniteSpiException

          public IgniteSpiException(String msg,
                                    Throwable cause)

      Creates new SPI exception with given error message and optional nested exception.
      Parameters:
        `msg` - Error message.
        `cause` - Optional nested message.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023